Diferencias

Muestra las diferencias entre dos versiones de la página.

Enlace a la vista de comparación

Ambos lados, revisión anterior Revisión previa
Próxima revisión
Revisión previa
Última revisión Ambos lados, revisión siguiente
es:main:packaging_guidelines [2018/11/27 04:09]
emulatorman
es:main:packaging_guidelines [2018/11/27 20:14]
emulatorman
Línea 21: Línea 21:
     * b) Si un paquete es una dependencia importante para proyectos activos y no hay un reemplazo actual para él.     * b) Si un paquete es una dependencia importante para proyectos activos y no hay un reemplazo actual para él.
     * c) Si un paquete es un controlador,​ firmware o emulación de hardware y no hay un reemplazo actual para él.     * c) Si un paquete es un controlador,​ firmware o emulación de hardware y no hay un reemplazo actual para él.
-  - **Snapshot versions**: Dado que Hyperbola es una distribución de soporte a largo plazo (LTS); todos los paquetes se basan en las instantáneas de Arch a partir de la fecha mencionada en las listas de correo de Hyperbola o en la página principal, y están diseñados para ser soportados por un período más largo de lo normal hasta la [[es:main:releases|próxima versión estable]]. Se consideran excepciones:​+  - **Snapshot versions**: Dado que Hyperbola es una distribución de soporte a largo plazo (LTS); todos los paquetes se basan en las instantáneas de Arch a partir de la fecha mencionada en las listas de correo de Hyperbola o en la página principal, y están diseñados para ser soportados por un período más largo de lo normal hasta la [[es:main:Releases|próxima versión estable]]. Se consideran excepciones:​
     * a) Si una versión del paquete en la instantánea es 1.1.0, y hay una solución de error en 1.1.1, podría actualizarse porque es una revisión, no una actualización fuerte o un cambio drástico de versión.     * a) Si una versión del paquete en la instantánea es 1.1.0, y hay una solución de error en 1.1.1, podría actualizarse porque es una revisión, no una actualización fuerte o un cambio drástico de versión.
     * b) Si la versión de un paquete en la instantánea es 1.1.0.a, y hay una solución de error en 1.1.0.b, podría actualizarse porque es una revisión, no una actualización segura o un cambio drástico de versión.     * b) Si la versión de un paquete en la instantánea es 1.1.0.a, y hay una solución de error en 1.1.0.b, podría actualizarse porque es una revisión, no una actualización segura o un cambio drástico de versión.
Línea 32: Línea 32:
     * a) Si un paquete no fue modificado de los paquetes oficiales de Arch o AUR.     * a) Si un paquete no fue modificado de los paquetes oficiales de Arch o AUR.
     * b) Si un paquete se creó a partir de un proyecto de reemplazo libre (por ejemplo, kernel de Linux-libre) u otro proyecto libre no incluido en Arch o AUR.     * b) Si un paquete se creó a partir de un proyecto de reemplazo libre (por ejemplo, kernel de Linux-libre) u otro proyecto libre no incluido en Arch o AUR.
-  - **Backporting**:​ Hyperbola usa el término backporting para describir un paquete creado a partir de una versión más nueva, ajustada y adaptada para su uso en la [[en:main:releases|versión estable actual]]. Requiere que se vuelva a empaquetar con la versión del paquete correspondiente "​**backports$backportsreleasenumber**"​ para los paquetes oficiales Arch, AUR o Hyperbola (por ejemplo, pkgrel=1**.backports1**) y los paquetes Arch o AUR modificados por Hyperbola (por ejemplo pkgrel=1.hyperbola1**.backports1**) hasta la [[en:main:releases|próxima versión estable]]. Backporting se acepta en Hyperbola como excepción, pero bajo las siguientes condiciones:​ +  - **Backporting**:​ Hyperbola usa el término backporting para describir un paquete creado a partir de una versión más nueva, ajustada y adaptada para su uso en la [[es:main:Releases|versión estable actual]]. Requiere que se vuelva a empaquetar con la versión del paquete correspondiente "​**backports$backportsreleasenumber**"​ para los paquetes oficiales Arch, AUR o Hyperbola (por ejemplo, pkgrel=1**.backports1**) y los paquetes Arch o AUR modificados por Hyperbola (por ejemplo pkgrel=1.hyperbola1**.backports1**) hasta la [[es:main:Releases|próxima versión estable]]. Backporting se acepta en Hyperbola como excepción, pero bajo las siguientes condiciones:​ 
-    * a) Si el paquete actual utilizado en la [[en:main:releases|versión estable actual]] necesita muchas modificaciones repartidas en varios archivos del código para resolver algún problema específico (por ejemplo, un problema de seguridad) y es ineficiente de arreglarse. +    * a) Si el paquete actual utilizado en la [[es:main:Releases|versión estable actual]] necesita muchas modificaciones repartidas en varios archivos del código para resolver algún problema específico (por ejemplo, un problema de seguridad) y es ineficiente de arreglarse. 
-    * b) Todos los paquetes de la versión más reciente y su biblioteca de la versión más nueva requerida, y los paquetes de dependencia también se deben volver a empaquetar con la versión apropiada del paquete, ya que se reconstruirá en un entorno estable para que se ejecute sin nuevas bibliotecas. Este sufijo se aplica hasta la [[en:main:releases|próxima versión estable]].+    * b) Todos los paquetes de la versión más reciente y su biblioteca de la versión más nueva requerida, y los paquetes de dependencia también se deben volver a empaquetar con la versión apropiada del paquete, ya que se reconstruirá en un entorno estable para que se ejecute sin nuevas bibliotecas. Este sufijo se aplica hasta la [[es:main:Releases|próxima versión estable]].
     * c) Todos los paquetes de la versión más reciente deben seguir las reglas de las Snapshot versions desde las Pautas de Empaquetado de Hyperbola usando su fecha de lanzamiento como una Snapshot version, lo que significa que la Hyperbola **no aceptará** cambios drásticos recurrentes de la versión siempre que sea posible su corrección.     * c) Todos los paquetes de la versión más reciente deben seguir las reglas de las Snapshot versions desde las Pautas de Empaquetado de Hyperbola usando su fecha de lanzamiento como una Snapshot version, lo que significa que la Hyperbola **no aceptará** cambios drásticos recurrentes de la versión siempre que sea posible su corrección.
-  - **Licencias de los Paquetes**: Todos los paquetes contienen un campo de licencia que especifica la fuente de la licencia que se aplica al paquete utilizando las licencias de uso común en /​usr/​share/​licenses/​common. Significa que, si una fuente está bajo una licencia que está disponible en /​usr/​share/​licenses/​common (por ejemplo, GPL-2), simplemente se debe hacer referencia en el campo de licencia del paquete (por ejemplo, license=('​GPL-2'​)). Si no es el caso, debe incluirse en el paquete y establecer la licencia = ('​custom:​NombredeLicencia'). El archivo de licencia se debe colocar en /​usr/​share/​licenses/​$pkgname al compilar el paquete. Si se aplican múltiples licencias, las condiciones son:+  - **Licencias de los Paquetes**: Todos los paquetes contienen un campo de licencia que especifica la fuente de la licencia que se aplica al paquete utilizando las licencias de uso común en /​usr/​share/​licenses/​common. Significa que, si una fuente está bajo una licencia que está disponible en /​usr/​share/​licenses/​common (por ejemplo, GPL-2), simplemente se debe hacer referencia en el campo de licencia del paquete (por ejemplo, license=('​GPL-2'​)). Si no es el caso, debe incluirse en el paquete y establecer la licencia = ('​custom:​LicenseName'). El archivo de licencia se debe colocar en /​usr/​share/​licenses/​$pkgname al compilar el paquete. Si se aplican múltiples licencias, las condiciones son:
     * a) Si una fuente actualizada proporciona la preferencia de elegir una licencia, agregue solo esa licencia en el campo de licencia del paquete. La licencia elegida debe ser compatible con las dependencias de la biblioteca vinculada utilizadas por el paquete. (por ejemplo, si la licencia elegida para ffmpeg es la versión 3 de LGPL, entonces se debe agregar el parámetro de configuración `--enable-version3` en PKGBUILD de ffmpeg para activar esta opción de licencia y usar las bibliotecas compatibles con LGPL-3).     * a) Si una fuente actualizada proporciona la preferencia de elegir una licencia, agregue solo esa licencia en el campo de licencia del paquete. La licencia elegida debe ser compatible con las dependencias de la biblioteca vinculada utilizadas por el paquete. (por ejemplo, si la licencia elegida para ffmpeg es la versión 3 de LGPL, entonces se debe agregar el parámetro de configuración `--enable-version3` en PKGBUILD de ffmpeg para activar esta opción de licencia y usar las bibliotecas compatibles con LGPL-3).
     * b) Si una fuente actualizada contiene archivos con muchas licencias diferentes, agregue solo los principales en el campo de licencia del paquete.     * b) Si una fuente actualizada contiene archivos con muchas licencias diferentes, agregue solo los principales en el campo de licencia del paquete.